#
# spec file for package picocom
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           picocom
Version:        1.8
Release:        6.4
Summary:        Minimal dumb-terminal emulation program
License:        GPL-2.0
Group:          Hardware/Modem
Url:            https://github.com/npat-efault/picocom
Source:         https://github.com/npat-efault/picocom/archive/%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
As its name suggests, [picocom] is a minimal dumb-terminal emulation
program. It is, in principle, very much like minicom, only it's "pico"
instead of "mini"! It was designed to serve as a simple, manual, modem
configuration, testing, and debugging tool. It has also served (quite
well) as a low-tech "terminal-window" to allow operator intervention
in PPP connection scripts (something like the ms-windows "open
terminal window before / after dialing" feature). It could also prove
useful in many other similar tasks.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
install -m 755 picocom %{buildroot}%{_bindir}/
install -m 644 picocom.8 %{buildroot}%{_mandir}/man8/

%files
%defattr(-,root,root)
%doc CHANGES.old CONTRIBUTORS LICENSE.txt README.md
%{_bindir}/picocom
%{_mandir}/man8/*

%changelog
* Sun Aug 16 2015 p.drouand@gmail.com
- Update to version 1.8
  * Adds support for the "linenoise" library, which allows line-editing
    and path completion when entering filenames for receive- and
    send-file operations. Support can be compiled-out if you wish.
  * Allows you to cancel a file-transfer operation, while entering a
    file name, by pressing C-c. This works with linenoise support and without.
  * Adds support for more high baud-rates.
    Now every baudrate above 115200 is compiled-in only if the respective
    macros are defined in the system header files. This should allow
    picocom with HIGH_BAUD support to compile cleanly for more systems.
  * Input-buffer size (TTY_Q_SZ) now defined in Makefile, and defaults to 1024.
  * Adds support for locking using flock(2) (now default). Old-style
    UUCP-lockdir code is maintained. Preferred locking style is selected
    via the Makefile.
  * Debian's xmltoman is now used to format the manpage.
  * Other minor fixes.
- Changes from version 1.7
  * No ChangeLog available
- Update download and project Urls
- Perform a spec-cleaner on the spec file
* Mon Apr 11 2011 mseben@gmail.com
- updated to picocom 1.6
  * Added features:
  - Local echo
  - Configurable input mapping (CR --> LF, DEL --> BS, etc)
  - Configurable output mapping
  - Configurable local-echo mapping
  * Fixed URL in man page
  * Fixed misconception that prevented the correct setting
    of the odd-parity mode
  * Allow non-alpha escape keys (e.g. C-])
  * Enabled support for higher baudrates up to 921600. Support is
    compiled-in conditionally on the HIGH_BAUD macro.
  * Silenced compiler warning
  * Changed default send_cmd to "sz -vv"
* Fri Mar 28 2008 mseben@suse.cz
- Initial package
